Page MenuHomePhabricator

Add x-amples to openapi depending on ENV
Closed, ResolvedPublic

Description

Let termbox emit valid openapi x-amples in order to allow for working smoke tests at all stages

  • introduce env variable HEALTHCHECK_QUERY, e.g. "language=de&entity=Q1&revision=3&editLink=/edit/Q1347&preferredLanguages=de|en"
  • set x-monitor to true if HEALTHCHECK_QUERY was set
  • set x-monitor to false if HEALTHCHECK_QUERY was not set
  • verify and merge https://gerrit.wikimedia.org/r/c/wikibase/termbox/+/510470

Event Timeline

Tarrow created this task.May 10 2019, 4:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2019, 4:03 PM
Tarrow renamed this task from Add x-amples to openapi depending on e to Add x-amples to openapi depending on ENV.May 10 2019, 4:07 PM
Tarrow updated the task description. (Show Details)
Pablo-WMDE updated the task description. (Show Details)May 21 2019, 11:07 AM
Pablo-WMDE updated the task description. (Show Details)
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-16 board.

Change 511892 had a related patch set uploaded (by Jakob; owner: Jakob):
[wikibase/termbox@master] OpenAPI spec: dynamize x-amples and x-monitor

https://gerrit.wikimedia.org/r/511892

Change 511892 merged by jenkins-bot:
[wikibase/termbox@master] OpenAPI spec: dynamize x-amples and x-monitor

https://gerrit.wikimedia.org/r/511892

Jakob_WMDE closed this task as Resolved.Jun 5 2019, 11:02 AM